Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	A library for interfacing Music Player Daemon
Name:		libmpdclient
Version:   	2.3
Release:   	1
License: 	GNU/GPL
URL:		http://mpd.wikia.com/wiki/ClientLib:libmpdclient
Group:    	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:  glibc-devel

%description
 library handling connection to a MPD server (SVN Version).

%package devel
Summary: 	%name development headers.
Group:     	System/Libraries          
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %name-%{version}

%build
./configure --prefix=%_prefix --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_datadir/doc/libmpdclient/COPYING
%_datadir/doc/libmpdclient/README
%_datadir/doc/libmpdclient/NEWS
%_libdir/libmpdclient.so.2
%_libdir/libmpdclient.so.2.0.1

%files devel
%defattr(-,root,root)
%_includedir/mpd/output.h
%_includedir/mpd/mixer.h
%_includedir/mpd/pair.h
%_includedir/mpd/audio_format.h
%_includedir/mpd/response.h
%_includedir/mpd/capabilities.h
%_includedir/mpd/client.h
%_includedir/mpd/idle.h
%_includedir/mpd/parser.h
%_includedir/mpd/async.h
%_includedir/mpd/entity.h
%_includedir/mpd/recv.h
%_includedir/mpd/connection.h
%_includedir/mpd/password.h
%_includedir/mpd/search.h
%_includedir/mpd/directory.h
%_includedir/mpd/list.h
%_includedir/mpd/error.h
%_includedir/mpd/tag.h
%_includedir/mpd/send.h
%_includedir/mpd/status.h
%_includedir/mpd/playlist.h
%_includedir/mpd/database.h
%_includedir/mpd/compiler.h
%_includedir/mpd/protocol.h
%_includedir/mpd/stats.h
%_includedir/mpd/version.h
%_includedir/mpd/queue.h
%_includedir/mpd/sticker.h
%_includedir/mpd/song.h
%_includedir/mpd/player.h
%_libdir/pkgconfig/libmpdclient.pc
%_libdir/libmpdclient.so
%_libdir/libmpdclient.la
%_libdir/libmpdclient.a


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 23 2010 Stefan Gottwald <gotti@ccux-linux.de> 2.3-1
- Initial Release

